
#import <Foundation/Foundation.h>
#import "ABRouter.h"
#import "ABWrapper.h"


@interface ABSubprocessWrapper : NSObject <ABWrapper> {
    @private
    ABRouter *_router;
    NSString *_name;
    BOOL _verbose;
    
    NSTask *_task;
    NSMutableString *_stdoutText;
}

- (id)initWithRouter:(ABRouter*)router name:(NSString*)name launchPath:(NSString*)launchPath arguments:(NSArray*)arguments;
- (void)killDashNine;

- (NSString*) _getName;
- (void) _sendEventJson:(NSString*)json;

// private

- (void)checkForEvents;
- (void)stopProcess;

@property (readonly) NSTask *task;

@end
