
#include "jansson.h"


typedef struct {
  int counter;
  char *name;
} ABComm;




ABComm *appborg_init(char *name);
void appborg_free(ABComm *comm);

json_t* appborg_readEventSync(ABComm *comm);

void appborg_send(ABComm *comm, char *method, json_t *info, char *to);
void appborg_respond(ABComm *comm, json_t *event, json_t *info);
void appborg_respondError(ABComm *comm, json_t *event, json_t *info);



void appborg_fatalError_(ABComm *comm, char *msg);
void appborg_respond_(ABComm *comm, json_t *event, json_t *result, json_t *error);
void appborg_writeEvent_(ABComm *comm, json_t *event);
