
#import <Foundation/Foundation.h>
#import "ABPostboxDelegate.h"

@interface ABEvent : NSObject {
@private
    id<ABPostboxDelegate> _router;
    NSDictionary *_event;
}

@property (readonly) long           eventId;
@property (readonly) NSString       *method;
@property (readonly) NSDictionary   *info;

- (void) respond:(NSDictionary*)result;
- (void) respondError:(NSDictionary*)error;

- (id) _initWithRouter:(id<ABPostboxDelegate>)router event:(NSDictionary*)event;
- (void) _sendResponseEvent:(NSMutableDictionary*)d;

@end
