
#import <Foundation/Foundation.h>
#import <WebKit/WebKit.h>
#import "SBJson.h"
#import "ABRouter.h"
#import "ABWrapper.h"


@interface ABJSWrapper : NSObject <ABWrapper> {
    @private
    ABRouter *_router;
    NSString *_name;
    WebView *_webView;
    SBJsonParser *_jsonParser;
}

- (id) initWithRouter:(ABRouter*)router name:(NSString*)name webView:(WebView*)webView;

- (NSString*) _getName;
- (void) _sendEventJson:(NSString *)json;
- (void)_pollWebViewPushingEventJson:(NSString *)eventJson;

@end
